


SIDTOOL(6)                                             SIDTOOL(6)


NNAAMMEE
       sidtool - a Pacman like game.

SSYYNNOOPPSSIISS
       ssiiddttooooll  [  --dd  ]  [  --mmaazzee _m_a_z_e_f_i_l_e ] [ --ppaauussee _f_a_c_t_o_r ] [
       --ppllaayyeerrss _p_l_a_y_e_r_s ] [ --rreettaaiinneedd ] [ --ssccoorreeffiillee _s_c_o_r_e_f_i_l_e  ]
       [ --sskkiillll _l_e_v_e_l ] [ --sslluugg _f_a_c_t_o_r ] [ --vv ]

DDEESSCCRRIIPPTTIIOONN
       _s_i_d_t_o_o_l  is  a  Pacman  like game. It contains a graphical
       interface for XView.

       _S_i_d_t_o_o_l is played by using the keyboard or  the  mouse  to
       move  the  image  of  the terminal screen around the maze.
       Running over (eating) a small dot is worth 10 points. Eat-
       ing  an  "idea"  spot is worth 50 points. During the game,
       pictures of fruit will be displayed in the middle  of  the
       maze. These range in value from 100 to 5000 points depend-
       ing upon how many screens worth of dots you have  cleared.

       There  are  four bad guys that are trying to eat you! When
       you eat an "idea" spot, it turns the bad guys  white.  You
       can then eat them. When they are about to turn back to bad
       guys again, they will  blink.  While  they  are  white  or
       blinking,  they  are  worth 200, 400, 800 and 1600 points.
       Avoid the bad guys at all costs when they are not white or
       blinking.

       You  get  three terminal screens per game. An extra screen
       is awarded at 10000 points.

       You can move the terminal screen around the maze using the
       hjkl  keys  (similar to the vi editor), or with the mouse.
       To go left, hit 'h'. To go down, hit 'j'.  To go  up,  hit
       'k'  and to go right, hit 'l'. Alternatively, you can move
       the mouse in the direction you want to go. Sun users  will
       also be able to use the four arrow keys on the right func-
       tion pad.

       There are ten skill levels. Level 1 is easy, and level  10
       is hard. Level 5 is the default.

       Initially the game is running in demonstration mode. Click
       SELECT on the Stop button, to display all the  other  con-
       trols.

       Click  SELECT  on  the  Help  button, to get a help screen
       describing how to play the game.

       Click SELECT on the Props button, to  display  a  property
       window allowing you to change the skill level and the num-
       ber of players. Don't forget to click SELECT on the  Apply
       button to apply you new settings.




                          11 August 1991                        1





SIDTOOL(6)                                             SIDTOOL(6)


       Click  SELECT  on  the  Scores button, to display a window
       containing the current high scores for each level.

       Click SELECT on the Quit button to terminate the game.

       Click SELECT on the New Game button to start a  new  game.
       Note  that  you  need to toggle the Play type from Demo to
       Game if you want to play a game (as opposed to running  in
       demonstration mode).

       Click  SELECT  on the Continue button to continue running.
       This button toggles between Continue and Stop, and is very
       handy  for those pesky telephone calls that always seem to
       interrupt the game.

OOPPTTIIOONNSS
       --dd     Run in demonstration mode only.

       --mmaazzee _m_a_z_e_f_i_l_e
              Specify a file containing a new maze layout.

       --ppaauussee _f_a_c_t_o_r
              The pause  factor  (in  microseconds)  for  various
              operations. The default is 20000.

       --ppllaayyeerrss _p_l_a_y_e_r_s
              The number of players to play this game of _s_i_d_t_o_o_l_.
              The default is 1.

       --rreettaaiinneedd
              Cause _s_i_d_t_o_o_l to use a retained canvas for the main
              drawing area. This improves repaint performance.

       --ssccoorree _s_c_o_r_e_f_i_l_e
              Specify an alternate high score file to use.

       --sskkiillll _l_e_v_e_l
              The  skill  level  for  this  game of _s_i_d_t_o_o_l_.  The
              range is 1 (easy) to 10 (hard). The default is 5.

       --sslluugg _f_a_c_t_o_r
              The main loop slug factor (in  milliseconds).  This
              is used to try to get a realistic speed independent
              of the speed of the machine that _s_i_d_t_o_o_l is running
              on. The default is 5.

       --vv     Prints  the  version  number  and usage message for
              this release of the _s_i_d_t_o_o_l program.

MMAAZZEE LLAAYYOOUUTT
       _S_i_d_t_o_o_l has been designed to allow you to  specify  alter-
       nate  mazes.  The  maze  layout  should be contained in an
       ASCII file, and conform to the following requirements:




                          11 August 1991                        2





SIDTOOL(6)                                             SIDTOOL(6)


       The maze size is fixed at 26 by 28.
       The maze is not allowed to have any dead ends.
       All boxes in the maze are defined by paths.
       The upper left corner of each box is signified by a  small
       s.
       Use the letters r,d,l,u to signify the direction to travel
       around boxes.
       Corners must be signified by changing the letter.
       The tunnel start must be signified by a capital S.
       The exit box must have the opening at the top.
       The ghost number 0 must be  started  directly  above  this
       exit.
       The exit should be signified by capital R's.
       All ghosts except for one must start in the box.
       The  amount  of  time spent in the box is specified by the
       number which shows where the ghost goes.
       Small dots in the maze are signified by periods '.';
       Large dots in the maze are signified by asterisks '*';
       Tunnels may be on left and right.
       All tunnels must have exits at both sides.
       There must be a row around the entire  maze  defining  the
       border.
       All non-tunnel parts of the border must be 'x's
       The  area  in  the tunnel in which the ghosts go slowly is
       defined as the area between the exit and  the  first  non-
       space  character.   Thus a '.'  causes the ghosts to speed
       up.

RREESSOOUURRCCEESS
       On startup, _s_i_d_t_o_o_l will use the  following  X  resources.
       These  resources can be placed in all the normal X places.

       RReessoouurrccee::      sidtool.players
       VVaalluueess::        Number of players (numeric)
       DDeessccrriippttiioonn    The number of players to play this game  of
                      _s_i_d_t_o_o_l_.  The default is 1.

       RReessoouurrccee::      sidtool.skillLevel
       VVaalluueess::        Skill level (numeric)
       DDeessccrriippttiioonn    The  skill  level for this game of _s_i_d_t_o_o_l_.
                      The range is 1 (easy)  to  10  (hard).  The
                      default is 5.

       RReessoouurrccee::      sidtool.pauseFactor
       VVaalluueess::        Pause factor (numeric)
       DDeessccrriippttiioonn    The pause factor (in microseconds) for var-
                      ious operations. The default is 20000.

       RReessoouurrccee::      sidtool.slugFactor
       VVaalluueess::        Slug factor (numeric)
       DDeessccrriippttiioonn    The main loop  slug  factor  (in  millisec-
                      onds). This is used to try to get a realis-
                      tic speed independent of the speed  of  the
                      machine  that  _s_i_d_t_o_o_l  is  running on. The



                          11 August 1991                        3





SIDTOOL(6)                                             SIDTOOL(6)


                      default is 5.

EENNVVIIRROONNMMEENNTT VVAARRIIAABBLLEESS
       SSIIDD__SSCCOORREE      An alternate location for the _s_i_d_t_o_o_l  high
                      score file.
BBUUGGSS
       See the TODO file for a list of known problems.
AAUUTTHHOORRSS
       Brad A. Myers                   Rich Burridge
       School  of  Computer  Science       Sun  Microsystems Aus-
       tralia,
       Carnegie Mellon University      495 Victoria Avenue,
       5000 Forbes Avenue              Chatswood, NSW 2067.
       Pittsburgh, PA  15213-3890      AUSTRALIA.
       TEL: (412) 268-5150             TEL: +61 2 413 2666
       FAX: (412) 681-5739             FAX: +61 2 413 3869
       bam@a.gp.cs.cmu.edu             richb@aus.sun.com








































                          11 August 1991                        4


